Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.Text

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.Text

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.Text

extends java.lang.Enum
implements QtEnumerator

This enum specifies string information that an accessible object returns.

See Also:
  Serialized Form

Field Summary
`static QAccessible.Text` | `Accelerator` The keyboard shortcut that executes the object's default action.
`static QAccessible.Text` | `Description` A short text describing the object.
`static QAccessible.Text` | `Help` A longer text giving information about how to use the object.
`static QAccessible.Text` | `Name` The name of the object.
`static QAccessible.Text` | `UserText` The first value to be used for user defined text.
`static QAccessible.Text` | `Value` The value of the object.

Method Summary
`static QAccessible.Text` | `resolve(int value)` Returns the QAccessible$Text constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Text` | `valueOf(java.lang.String name)`
`static QAccessible.Text[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Name

    public static final QAccessible.Text Name

  The name of the object. This can be used both as an identifier or a short description by accessible clients.

### Description

    public static final QAccessible.Text Description

  A short text describing the object.

### Value

    public static final QAccessible.Text Value

  The value of the object.

### Help

    public static final QAccessible.Text Help

  A longer text giving information about how to use the object.

### Accelerator

    public static final QAccessible.Text Accelerator

  The keyboard shortcut that executes the object's default action.

### UserText

    public static final QAccessible.Text UserText

  The first value to be used for user defined text.

Method Detail

### values

    public static QAccessible.Text[] values()

### valueOf

    public static QAccessible.Text valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Text resolve(int value)

  Returns the QAccessible$Text constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD